=== debian/changelog ===
liborcus (0.18.1-2) experimental; urgency=medium

  * Update tests/control: 0.17->0.18 (closes: #1038690) 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Jun 2023 17:39:51 +0200

liborcus (0.18.1-1) experimental; urgency=medium

  * New upstream version 0.18.1

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Feb 2023 19:04:45 +0100

liborcus (0.18.0-1) experimental; urgency=medium

  * New upstream version 0.18.0

  * explicitely build with --enable-static for now

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Jan 2023 19:46:14 +0100
