=== debian/control ===
Source: liborcus
Priority: optional
Section: libs
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>,
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.16.1),
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libixion-dev (>= 0.18.0~),
 libixion-dev (<< 0.19.0~),
 libmdds-dev (>= 2.1),
 libmdds-dev (<< 2.2~),
 pkg-config,
 python3,
 python3-dev,
 sphinx-common,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen,
 python3-breathe,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinx-argparse
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/orcus/orcus
Vcs-Git: https://salsa.debian.org/libreoffice-team/liborcus.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/liborcus

Package: liborcus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liborcus-0.18-0 (= ${binary:Version}),
 liborcus-mso-0.18-0 (= ${binary:Version}),
 liborcus-parser-0.18-0 (= ${binary:Version}),
 liborcus-spreadsheet-model-0.18-0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libixion-dev (>= 0.18.0~),
Description: library for processing spreadsheet documents -- development
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Orcus.

Package: liborcus-0.18-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.

Package: liborcus-mso-0.18-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents - MS Office encryption library
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains a library for handling MS Office encryption.

Package: liborcus-parser-0.18-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents - parser library
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains the parser library.

Package: liborcus-spreadsheet-model-0.18-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents - spreadsheet model library
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains a library abstracting the spreadsheet model.

Package: python3-orcus
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents - Python bindings
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains the Python bindings for liborcus.

Package: liborcus-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for processing spreadsheet documents - documentation
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains the API documentation.

Package: liborcus-bin
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for processing spreadsheet documents - binaries
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains the command-line applications for converting documents.
