=== debian/changelog ===
liborcus (0.19.2-6) unstable; urgency=medium

  * fix new restriction for the "import orcus" test... 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Sep 2024 01:46:00 +0200

liborcus (0.19.2-5) unstable; urgency=medium

  * build with -ffloat-store on i386 
  * Add allow-stderr restriction to "unit" test due to the gcc 7.x ABI change
    warnings during the bulld in the test stage; while at it mark the
    "import orcus" test superficial

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Sep 2024 20:45:08 +0200

liborcus (0.19.2-4) unstable; urgency=medium

  * add updated debian/watch, thanks Patrice Duroux (closes: #1079919)
  * fix autopkgtest, work around autopkgtest build-needed builds doing
    "nocheck" which misses files we need in the test run...

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Aug 2024 17:13:57 +0200

liborcus (0.19.2-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 18:24:33 +0100

liborcus (0.19.2-2) experimental; urgency=medium

  * merge 0.17.2-2 changes....:

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Mattia Rizzolo ]
  * Declaratively use dh-sequence-python3.
  * Declaratively use dh-sequence-sphinxdoc, also limiting it to the indep
    build.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Fix d/watch so it matches with the new GitLab layout.
  * Update d/copyright after the previous update (just following lintian).

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 18:09:36 +0100

liborcus (0.19.2-1) experimental; urgency=medium

  * New upstream version 0.19.2
    - fixes segmentation fault in orcus-test-xml-mapped (closes: #1054376)

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Nov 2023 18:21:38 +0100

liborcus (0.19.1-2) experimental; urgency=medium

  * use dh_makeshlibs -VUpstream-Version to bump .shlibs to >= 0.19.1

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Oct 2023 19:06:26 +0000

liborcus (0.19.1-1) experimental; urgency=medium

  * New upstream version 0.19.1

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Oct 2023 17:50:38 +0200

liborcus (0.19.0-2) experimental; urgency=medium

  * debian/rules: export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Oct 2023 09:00:42 +0000

liborcus (0.19.0-1) experimental; urgency=medium

  * New upstream version 0.19.0

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Oct 2023 14:44:19 +0200
