=== debian/control ===
--- 
+++ 
@@ -7,23 +7,22 @@
 Build-Depends:
  chrpath,
  debhelper-compat (= 13),
- dh-python,
- dpkg-dev (>= 1.16.1),
+ dh-sequence-python3,
  libboost-date-time-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-program-options-dev,
  libboost-system-dev,
- libixion-dev (>= 0.18.0~),
- libixion-dev (<< 0.19.0~),
- libmdds-dev (>= 2.1),
+ libixion-dev (>= 0.19.0~),
+ libixion-dev (<< 0.20.0~),
+ libmdds-dev (>= 2.1.1),
  libmdds-dev (<< 2.2~),
  pkg-config,
  python3,
  python3-dev,
- sphinx-common,
  zlib1g-dev,
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  doxygen,
  python3-breathe,
  python3-sphinx,
@@ -31,7 +30,7 @@
  python3-sphinx-argparse
 Build-Conflicts:
  python-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/orcus/orcus
 Vcs-Git: https://salsa.debian.org/libreoffice-team/liborcus.git
