=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,18 @@
 
 include /usr/share/dpkg/architecture.mk
 
+export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
+ifeq "$(DEB_HOST_ARCH)" "i386"
+export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
+endif
+
 %:
-	dh $@  --with python3 --with sphinxdoc
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf src/python/orcus/__pycache__/
 	rm -rf test/python/__pycache__
 	rm -rf src/python/orcus/tools/__pycache__
-	rm -rf 
 	dh_auto_clean
 	rm -rf doc/_doxygen doc/tmp
 
@@ -44,7 +48,9 @@
 	else dh_auto_install -- -pliborcus-doc; fi
 
 override_dh_makeshlibs:
-	dh_makeshlibs -VNone
+	# we need >= 0.19.1 for orcus::create_filter() (see LibreOffices
+	# https://cgit.freedesktop.org/libreoffice/core/commit/?id=b14583ba37a6d7ce398ccd3cf339f954785b03d8
+	dh_makeshlibs -VUpstream-Version
 
 override_dh_shlibdeps:
 	dh_shlibdeps
