## liborcus 0.20.1

=== debian/changelog ===
liborcus (0.20.1-1) experimental; urgency=medium

  * New upstream version 0.20.1

 -- Rene Engelhard <rene@debian.org>  Sun, 25 May 2025 09:26:07 +0200

liborcus (0.20.0-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Build with -ffloat-store on any i386 architecture, not only on Linux.

  [ Rene Engelhard ]
  * apply patch from LibreOffice master to fix autofilter crash/assertion 

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Apr 2025 17:19:25 +0200

liborcus (0.20.0-1) experimental; urgency=medium

  * New upstream version 0.20.0
    - fixes build with gcc 15 (closes: #1097242)

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Feb 2025 20:58:23 +0100
