=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  libboost-iostreams-dev,
  libboost-program-options-dev,
  libboost-system-dev,
- libixion-dev (>= 0.19.0~),
- libixion-dev (<< 0.20.0~),
- libmdds-dev (>= 2.1.1),
- libmdds-dev (<< 2.2~),
+ libixion-dev (>= 0.20.0~),
+ libixion-dev (<< 0.21.0~),
+ libmdds-dev (>= 3.0),
+ libmdds-dev (<< 3.1~),
  pkg-config,
  python3,
  python3-dev,
@@ -41,13 +41,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- liborcus-0.18-0 (= ${binary:Version}),
- liborcus-mso-0.18-0 (= ${binary:Version}),
- liborcus-parser-0.18-0 (= ${binary:Version}),
- liborcus-spreadsheet-model-0.18-0 (= ${binary:Version}),
+ liborcus-0.20-0 (= ${binary:Version}),
+ liborcus-mso-0.20-0 (= ${binary:Version}),
+ liborcus-parser-0.20-0 (= ${binary:Version}),
+ liborcus-spreadsheet-model-0.20-0 (= ${binary:Version}),
  ${misc:Depends},
 Recommends:
- libixion-dev (>= 0.18.0~),
+ libixion-dev (>= 0.20.0~),
 Description: library for processing spreadsheet documents -- development
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet
@@ -60,7 +60,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Orcus.
 
-Package: liborcus-0.18-0
+Package: liborcus-0.20-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -77,7 +77,7 @@
  The library currently includes filters for xlsx, ods, csv, and generic XML
  formats.
 
-Package: liborcus-mso-0.18-0
+Package: liborcus-mso-0.20-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -96,7 +96,7 @@
  .
  This package contains a library for handling MS Office encryption.
 
-Package: liborcus-parser-0.18-0
+Package: liborcus-parser-0.20-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -115,7 +115,7 @@
  .
  This package contains the parser library.
 
-Package: liborcus-spreadsheet-model-0.18-0
+Package: liborcus-spreadsheet-model-0.20-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
