## liborcus 0.20.2

=== debian/changelog ===
liborcus (0.20.2-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Aug 2025 13:30:06 +0200

liborcus (0.20.2-1) experimental; urgency=medium

  * New upstream version 0.20.2

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Aug 2025 06:22:28 +0200

liborcus (0.20.1-2) experimental; urgency=medium

  * debian/control: allow mdds 3.1 (still mdds-3.0.pc)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 16:12:19 +0200
