=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libixion-dev (>= 0.20.0~),
  libixion-dev (<< 0.21.0~),
  libmdds-dev (>= 3.0),
- libmdds-dev (<< 3.1~),
+ libmdds-dev (<< 3.2~),
  pkg-config,
  python3,
  python3-dev,
