=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
-ifeq "$(DEB_HOST_ARCH)" "i386"
+ifeq "$(DEB_HOST_ARCH_CPU)" "i386"
 export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
 endif
 
@@ -44,7 +44,7 @@
 	mkdir -p debian/tmp
 	if [ -d src/.libs ]; then dh_auto_install; \
 	find debian/tmp/usr/lib/python* -name "*.*a" -exec rm {} \; ; \
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liborcus-0.18.so.0.0.0; \
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liborcus-0.20.so.0.0.0; \
 	else dh_auto_install -- -pliborcus-doc; fi
 
 override_dh_makeshlibs:
