=== debian/tests/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 Tests: unit
 Depends:
- liborcus-0.18-0,
- liborcus-spreadsheet-model-0.18-0,
+ liborcus-0.20-0,
+ liborcus-spreadsheet-model-0.20-0,
  python3-orcus,
  @builddeps@,
 Restrictions: build-needed, rw-build-tree, allow-stderr
