=== debian/watch ===
version=4

opts=searchmode=plain,downloadurlmangle=s|gitlab.com/orcus/orcus/repository/(@ANY_VERSION@)/archive.tar.gz|kohei.us/files/orcus/src/@PACKAGE@-$1.tar.xz|,repack,compression=xz \
https://gitlab.com/orcus/orcus/tags?sort=updated_desc /orcus/orcus/-/archive/@ANY_VERSION@/[^/]+\.tar\.gz
