## liborcus 0.21.0

=== debian/changelog ===
liborcus (0.21.0-6) experimental; urgency=medium

  * disable parquet filter on bigendian 

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Feb 2026 09:28:27 +0100

liborcus (0.21.0-5) experimental; urgency=medium

  * enable parquet filter now that we have apache arrow available (on archs
    where it is buildable
  * add patch from upstream git to "make it buildable with Apache Arrow
    23.0.0" (which also fixes the build with 22.0.0 for me)
  * hack around Apache Arrow 23.0.1 now apparently needing <span>, which works
    with --std=gnu++20 only

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Feb 2026 17:40:26 +0100

liborcus (0.21.0-4) unstable; urgency=medium

  * remove B-D on libboost-system-dev, unused and obsolete
    (closes: #1127222)
  * merge from Ubuntu:
    - Update autopkg test dependencies. (closes: #1127433)

 -- Rene Engelhard <rene@debian.org>  Sun, 08 Feb 2026 20:04:41 +0100

liborcus (0.21.0-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jan 2026 20:52:48 +0100

liborcus (0.21.0-2) experimental; urgency=medium

  * debian/control: allow mdds 3.2 (still mdds-3.0.pc) 

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Dec 2025 20:23:27 +0100

liborcus (0.21.0-1) experimental; urgency=medium

  * New upstream version 0.21.0
  * 0.20 -> 0.21 in the SOVERSION

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Sep 2025 16:54:00 +0200
