=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-program-options-dev,
- libboost-system-dev,
  libixion-dev (>= 0.20.0~),
  libixion-dev (<< 0.21.0~),
  libmdds-dev (>= 3.0),
- libmdds-dev (<< 3.2~),
+ libmdds-dev (<< 3.3~),
+ libparquet-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64],
  pkg-config,
  python3,
  python3-dev,
@@ -41,10 +41,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- liborcus-0.20-0 (= ${binary:Version}),
- liborcus-mso-0.20-0 (= ${binary:Version}),
- liborcus-parser-0.20-0 (= ${binary:Version}),
- liborcus-spreadsheet-model-0.20-0 (= ${binary:Version}),
+ liborcus-0.21-0 (= ${binary:Version}),
+ liborcus-mso-0.21-0 (= ${binary:Version}),
+ liborcus-parser-0.21-0 (= ${binary:Version}),
+ liborcus-spreadsheet-model-0.21-0 (= ${binary:Version}),
  ${misc:Depends},
 Recommends:
  libixion-dev (>= 0.20.0~),
@@ -60,7 +60,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Orcus.
 
-Package: liborcus-0.20-0
+Package: liborcus-0.21-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -77,7 +77,7 @@
  The library currently includes filters for xlsx, ods, csv, and generic XML
  formats.
 
-Package: liborcus-mso-0.20-0
+Package: liborcus-mso-0.21-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -96,7 +96,7 @@
  .
  This package contains a library for handling MS Office encryption.
 
-Package: liborcus-parser-0.20-0
+Package: liborcus-parser-0.21-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -115,7 +115,7 @@
  .
  This package contains the parser library.
 
-Package: liborcus-spreadsheet-model-0.20-0
+Package: liborcus-spreadsheet-model-0.21-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
