=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,12 @@
 export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
 ifeq "$(DEB_HOST_ARCH_CPU)" "i386"
 export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
+endif
+
+ifeq "$(DEB_HOST_ARCH)" "$(findstring $(DEB_HOST_ARCH),amd64 armhf arm64 i386 loong64 ppc64 ppc64el riscv64 s390x)"
+ifeq "$(DEB_HOST_ARCH_ENDIAN)" "little"
+ENABLE_PARQUET=y
+endif
 endif
 
 %:
@@ -21,7 +27,18 @@
 	rm -rf doc/_doxygen doc/tmp
 
 override_dh_auto_configure-arch:
+ifeq "$(ENABLE_PARQUET)" "y"
+	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static --with-parquet-filter
+else
 	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static
+endif
+
+override_dh_auto_build-arch:
+ifeq "$(ENABLE_PARQUET)" "y"
+	# needs span, which needs C++20...
+	sed -i "s/-std=gnu++17/-std=gnu++20/" src/liborcus/Makefile
+endif
+	dh_auto_build
 
 override_dh_auto_build-indep:
 	cd doc && \
@@ -44,12 +61,10 @@
 	mkdir -p debian/tmp
 	if [ -d src/.libs ]; then dh_auto_install; \
 	find debian/tmp/usr/lib/python* -name "*.*a" -exec rm {} \; ; \
-	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liborcus-0.20.so.0.0.0; \
+	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liborcus-0.21.so.0.0.0; \
 	else dh_auto_install -- -pliborcus-doc; fi
 
 override_dh_makeshlibs:
-	# we need >= 0.19.1 for orcus::create_filter() (see LibreOffices
-	# https://cgit.freedesktop.org/libreoffice/core/commit/?id=b14583ba37a6d7ce398ccd3cf339f954785b03d8
 	dh_makeshlibs -VUpstream-Version
 
 override_dh_shlibdeps:
